# Get stream by ID
`GET https://octopus.livepush.io/streams/{stream_id}`
Retrieves details of a specific live stream owned by the
authenticated user. The response includes stream metadata,
configuration, zone assignment, and destinations.
- **Tag:** Streams
- **Operation ID:** `getStreamsStreamId`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/streams/get-stream-by-id/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the stream. |


### Example request

```bash
curl -X GET 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```


### Responses


#### 200 — Stream details

- `id` (string)
- `chatId` (string)
- `embedId` (string)
- `createdAt` (string<date-time>)
- `metadata` (object)
  - `name` (string)
  - `category` (string) — Stream category
- `config` (object)
  - `pullUrlMaxRetry` (integer)
  - `recordingTier` (string)
- `destinations` (object[])
  - `id` (string)
  - `label` (string)
  - `appName` (string)
  - `rtmpBase` (string)
  - `isDisabled` (boolean)
  - `updatedAt` (string<date-time>)
- `zone` (object)
  - `id` (string)
  - `name` (string)
  - `category` (string)
  - `host` (string)
  - `isPublic` (boolean)
  - `isDefault` (boolean)
- `unsafeContent` (boolean)
- `hasValidated` (boolean)


```json
{
  "id": "st_xxxxxxxxxxxxx",
  "chatId": "mc_xxxxxxxxxxxx",
  "embedId": "em_xxxxxxxxxxxx",
  "createdAt": "2026-01-31T09:00:00.000Z",
  "metadata": {
    "name": "OUTPUT 1",
    "category": "simulcast"
  },
  "config": {
    "pullUrlMaxRetry": 5,
    "recordingTier": "rise"
  },
  "destinations": [
    {
      "id": "pb_xxxxxxxxxxxx",
      "label": "YouTube",
      "appName": "youtube",
      "rtmpBase": "rtmp://a.rtmp.youtube.com/live2",
      "isDisabled": true,
      "updatedAt": "2026-01-31T09:00:00.000Z"
    }
  ],
  "zone": {
    "id": "zn_xxxxxxxxx",
    "name": "Livepush Global",
    "category": "simulcast",
    "host": "stream.livepush.io",
    "isPublic": true,
    "isDefault": true
  },
  "unsafeContent": true,
  "hasValidated": true
}
```


#### 401 — Unauthorized


#### 404 — Stream not found

